### Function

# Ggit CredSshInteractivePrompt new

#### Declaration [src]

    GgitCredSshInteractivePrompt*
    ggit_cred_ssh_interactive_prompt_new (
      const gchar* name,
      const gchar* instruction,
      const gchar* text,
      gboolean is_masked
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`instruction`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`is_masked`

  Type: `gboolean`

  No description available.

#### Return value

Type: `GgitCredSshInteractivePrompt`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.